=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-05-09 22:13:47 +0000
+++ drizzled/Makefile.am	2009-05-10 00:06:55 +0000
@@ -587,7 +587,6 @@
 		show.cc \
 		sj_tmp_table.cc \
 		sql_base.cc \
-		sql_bitmap.cc \
 		sql_connect.cc \
 		sql_delete.cc \
 		sql_derived.cc \

=== removed file 'drizzled/sql_bitmap.cc'
--- drizzled/sql_bitmap.cc	2009-05-09 22:13:47 +0000
+++ drizzled/sql_bitmap.cc	1970-01-01 00:00:00 +0000
@@ -1,64 +0,0 @@
-/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2009 Sun Microsystems
- *
- *  Authors:
- *
- *  Padraig O'Sullivan <osullivan.padraig@gmail.com>
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-/**
- * @file 
- *
- * Implementation of helper methods for working with
- * bitsets and methods for thread-safe bitsets.
- */
-
-#include <drizzled/sql_bitmap.h>
-
-#include <bitset>
-
-using namespace std;
-
-uint32_t setNextBit(bitset<MAX_FIELDS> &bitmap)
-{
-  uint32_t bit_found;
-  if ((bit_found= getFirstBitPos(bitmap)) != MY_BIT_NONE)
-    bitmap.set(bit_found);
-  return bit_found;
-}
-
-uint32_t getFirstBitPos(const bitset<MAX_FIELDS> &bitmap)
-{
-  uint32_t first_bit= MY_BIT_NONE;
-  for (int idx= 0; idx < MAX_FIELDS; idx++)
-  {
-    if (!bitmap.test(idx))
-    {
-      first_bit= idx;
-      break;
-    }
-  }
-  return first_bit;
-}
-
-bool isBitmapOverlapping(const bitset<MAX_FIELDS> &map1, const bitset<MAX_FIELDS> &map2)
-{
-  bitset<MAX_FIELDS> tmp= map1 & map2;
-  return (tmp.any());
-}

=== modified file 'drizzled/sql_bitmap.h'
--- drizzled/sql_bitmap.h	2009-05-09 22:13:47 +0000
+++ drizzled/sql_bitmap.h	2009-05-10 00:06:55 +0000
@@ -32,9 +32,6 @@
 #include <drizzled/key_map.h>
 
 
-#include <bitset>
-
-
 typedef uint64_t table_map;          /* Used for table bits in join */
 typedef uint32_t nesting_map;  /* Used for flags of nesting constructs */
 
@@ -45,31 +42,4 @@
 */
 typedef uint64_t nested_join_map; /* Needed by sql_select.h and table.h */
 
-/*
- * Finds the first bit that is not set and sets
- * it.
- *
- * @param the bitmap to work with
- */
-uint32_t setNextBit(std::bitset<MAX_FIELDS> &bitmap);
-
-/*
- * Returns the position of the first bit in the
- * given bitmap which is not set. If every bit is set
- * in the bitmap, return BIT_NONE.
- *
- * @param the bitmap to work with
- */
-uint32_t getFirstBitPos(const std::bitset<MAX_FIELDS> &bitmap);
-
-/*
- * Returns true if there is any overlapping bits between
- * the 2 given bitmaps.
- *
- * @param the first bitmap to work with
- * @param the second bitmap to work with
- */
-bool isBitmapOverlapping(const std::bitset<MAX_FIELDS> &map1, const std::bitset<MAX_FIELDS> &map2);
-
-
 #endif /* _SQL_BITMAP_H_ */

